		let npage=current page of out
		let col_label =
       		(((rright - rleft ) / 2) - ((length (p_h_label clipped) / 2) ))
		let col_npage =
        	((rright - rleft - (length (p_h_npage && npage )) ))
		if optsel = "I" then begin
			put stream out 
				column 0,p_h_database left clipped,
       			column col_label, p_h_label left clipped
			put stream out skip
			put stream out
       			column col_label, 
				strrepeat("=",length(p_h_label left clipped)) left clipped
			put stream out skip
			put stream out 
				column 0, p_h_date,today,
        		column col_npage, p_h_npage,npage 
			put stream out skip 2
		end else begin
			put stream out 
				column 0,p_h_database left clipped,
       			column col_label, p_h_label left clipped
			put stream out
        		column col_npage,today
			put stream out skip
			put stream out 
        		column col_npage, p_h_npage,npage 
			put stream out skip 
		end
